com.aliyun.svideosdk.common.struct.common

## Class AliyunLayoutParam.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.common.AliyunLayoutParam.Builder

- Enclosing class:
    AliyunLayoutParam

      public static final class AliyunLayoutParam.Builder
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunLayoutParam` | `build()`
    `AliyunLayoutParam.Builder` | `centerX(float val)` 设置布局中心点 x 坐标，归一化的值
    `AliyunLayoutParam.Builder` | `centerY(float val)` 设置布局中心点Y坐标，归一化的值
    `AliyunLayoutParam.Builder` | `displayMode(VideoDisplayMode val)` set layout display mode
    `AliyunLayoutParam.Builder` | `heightRatio(float val)` 设置布局高度占视频输出高度的比例
    `AliyunLayoutParam.Builder` | `layoutLevel(int val)` set layout level
    `AliyunLayoutParam.Builder` | `widthRatio(float val)` 设置布局宽度占视频输出宽度的比例

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### centerX

          public AliyunLayoutParam.Builder centerX(float val)

      设置布局中心点 x 坐标，归一化的值
      Parameters:
        `val` - [0，1]

    - #### centerY

          public AliyunLayoutParam.Builder centerY(float val)

      设置布局中心点Y坐标，归一化的值
      Parameters:
        `val` - [0，1]

    - #### widthRatio

          public AliyunLayoutParam.Builder widthRatio(float val)

      设置布局宽度占视频输出宽度的比例
      Parameters:
        `val` - (0, 1]

    - #### heightRatio

          public AliyunLayoutParam.Builder heightRatio(float val)

      设置布局高度占视频输出高度的比例
      Parameters:
        `val` - (0, 1]

    - #### layoutLevel

          public AliyunLayoutParam.Builder layoutLevel(int val)

      set layout level
      Parameters:
        `val` -

    - #### displayMode

          public AliyunLayoutParam.Builder displayMode(VideoDisplayMode val)

      set layout display mode
      Parameters:
        `val` - should be not null

    - #### build

          public AliyunLayoutParam build()